# -*- coding: utf-8 -*-
class ProductComponentsController < ApplicationController
  class_desc :display_name => '商品構成管理'

  # GET /product_components
  def index
    @product_components = ProductComponent.all
  end

  # GET /product_components/1
  def show
    @product_component = ProductComponent.find(params[:id])
  end

  # GET /product_components/new
  def new
    @product_component = ProductComponent.new
  end

  # GET /product_components/1/edit
  def edit
    @product_component = ProductComponent.find(params[:id])
  end

  # POST /product_components
  def create
    @product_component = ProductComponent.new(params[:product_component])

    if @product_component.save
      flash[:notice] = 'ProductComponent was successfully created.'
      redirect_to(@product_component)
    else
      render :action => "new"
    end
  end

  # PUT /product_components/1
  def update
    @product_component = ProductComponent.find(params[:id])

    if @product_component.update_attributes(params[:product_component])
      flash[:notice] = 'ProductComponent was successfully updated.'
      redirect_to(@product_component)
    else
      render :action => "edit"
    end
  end

  # DELETE /product_components/1
  def destroy
    @product_component = ProductComponent.find(params[:id])
    @product_component.destroy

    redirect_to(product_components_url)
  end
end
