class UserRankCondition < ActiveRecord::Base
  selectable_attr :type_cd do
    entry '01', :user_age       , '年齢'
    entry '02', :order_amount, '購入金額'
    entry '03', :order_count    , '購入回数'
    entry '04', :member_elapsed_days  , '会員登録からの日数'
    entry '05', :order_elapsed_days   , '最終注文日からの日数'
  end

  selectable_attr :operator_cd do
    entry '01', :lt     , 'より小さい'
    entry '02', :gt     , 'より大きい'
    entry '03', :lte    , '以下'
    entry '04', :gte    , '以上'
    entry '05', :eql    , '等しい'
    entry '06', :not_eql, '以外'
  end
end
