# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaign_conditions/show.html.erb" do
  include CampaignConditionsHelper
  before(:each) do
    assigns[:campaign_condition] = @campaign_condition = stub_model(CampaignCondition,
      :campaign_id => 1,
      :no => 1,
      :type_cd => "01",
      :operator_cd => "01",
      :value => 'some value',
      :connector_cd => "01",
      :brace_begin_count => 1,
      :brace_end_count => 1
    )
  end

  it "renders attributes in <p>" do
    render
    # response.should have_tag("div[class=?]", "field campaign_id"){ have_text(/1/) }
    # response.should have_tag("div[class=?]", "field no"){ have_text(/1/) }
    response.should have_tag("div[class=?]", "field type_cd"){ have_text(/性別/) }
    response.should have_tag("div[class=?]", "field operator_cd"){ have_text(/より小さい/) }
    response.should have_tag("div[class=?]", "field value"){ have_text(/'some\ value'/) }
    response.should have_tag("div[class=?]", "field connector_cd"){ have_text(/かつ/) }
    response.should have_tag("div[class=?]", "field brace_begin_count"){ have_text(/1/) }
    response.should have_tag("div[class=?]", "field brace_end_count"){ have_text(/1/) }
  end
end
