# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaign_effects/show.html.erb" do
  include CampaignEffectsHelper
  before(:each) do
    assigns[:campaign_effect] = @campaign_effect = stub_model(CampaignEffect,
      :campaign_id => 1,
      :type_cd => "01",
      :operator_cd => "01",
      :value => 'some value'
    )
  end

  it "renders attributes in <p>" do
    render
    # response.should have_tag("div[class=?]", "field campaign_id"){ have_text(/1/) }
    response.should have_tag("div[class=?]", "field type_cd"){ have_text(/割引率/) }
    response.should have_tag("div[class=?]", "field operator_cd"){ have_text(/加算/) }
    response.should have_tag("div[class=?]", "field value"){ have_text(/'some\ value'/) }
  end
end
