# -*- coding: utf-8 -*-
class MobileController < ApplicationController
  layout "mobile"

  mobile_filter

  # 携帯用の画面は必ずロケールを日本語として動きます。
  before_filter :set_locale_ja

  private
  def set_locale_ja
    cookies[:lang] = 'ja'
  end

end
