# -*- coding: utf-8 -*-
class GmoMemberIdSeq < ActiveRecord::Base
  establish_connection 'team_testing' if EcRider.config.team_testing_enabled

  # オンライン決済用のユーザIDを生成
  def self.create_member_id
    gmo_member_id_seq = self.find(:first)
    gmo_member_id_seq ||= GmoMemberIdSeq.new({:last_gmo_member_id => 0})
    gmo_member_id_seq.last_gmo_member_id += 1
    gmo_member_id_seq.save!
    
    return sprintf("%013d", gmo_member_id_seq.last_gmo_member_id)
  end
end
