# -*- coding: utf-8 -*-
class GmoOrderIdSeq < ActiveRecord::Base
  establish_connection 'team_testing' if EcRider.config.team_testing_enabled

  # オンライン決済用の決済番号を生成
  def self.get_new_order_id
    gmo_order_id_seq = self.find(:first)
    gmo_order_id_seq ||= GmoOrderIdSeq.new({:last_gmo_order_id => 0})
    gmo_order_id_seq.last_gmo_order_id += 1
    gmo_order_id_seq.save!
    return gmo_order_id_seq.last_gmo_order_id
  end

end
