module ProductHelper
  include ProductCategoriesHelper

  def product_image_tag(product_image)
    return "<br/>" + image_tag("/public/images/no_image.png", :size => '300*300') if product_image.nil?
    html = (product_image.main_flg ? "（メイン画像）" : "")
    html << "<br/>"
    html << image_tag(product_image.public_filename(:thumb))
  end
end
