require 'goldberg'

module Goldberg
  class RoleAction < ActiveRecord::Base
    versioned

    include Goldberg::Model

    belongs_to :role, :class_name => 'Goldberg::Role', :foreign_key => 'role_id'
    belongs_to :action, :class_name => 'Goldberg::SiteAction', :foreign_key => 'site_action_id'

  end
end
