# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaign_conditions/edit.html.erb" do
  include CampaignConditionsHelper
  
  before(:each) do
    assigns[:campaign_condition] = @campaign_condition = stub_model(CampaignCondition,
      :new_record? => false,
      :campaign_id => 1,
      :no => 1,
      :type_cd => "01",
      :operator_cd => "01",
      :value => 'some value',
      :connector_cd => "01",
      :brace_begin_count => 1,
      :brace_end_count => 1
    )
  end

  it "renders the edit campaign_condition form" do
    pending "f.fields_for(:conditions)はどうやって、親のオブジェクトを指定するのか要調査"
    render
    
    response.should have_tag("form[action=?][method=post]", url_for(:controller => 'campaign_conditions', :action => 'update', :id => @campaign_condition.id)) do
      with_tag('input[name=_method][value="put"]')
      with_tag("input[id=?][type=text]", /CampaignCondition_\d+_campaign_display/)
      with_tag("input[id=?][type=?][name=?]", /CampaignCondition_\d+_campaign_fk/, /text|hidden/i, "campaign_condition[campaign_id]")
      with_tag("input#campaign_condition_no[name=?]", "campaign_condition[no]")
      with_tag("select#campaign_condition_type_cd[name=?]", "campaign_condition[type_cd]")
      with_tag("select#campaign_condition_operator_cd[name=?]", "campaign_condition[operator_cd]")
      with_tag("input#campaign_condition_value[name=?]", "campaign_condition[value]")
      with_tag("select#campaign_condition_connector_cd[name=?]", "campaign_condition[connector_cd]")
      with_tag("input#campaign_condition_brace_begin_count[name=?]", "campaign_condition[brace_begin_count]")
      with_tag("input#campaign_condition_brace_end_count[name=?]", "campaign_condition[brace_end_count]")
    end
  end
end


