require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaigns/show.html.erb" do
  include CampaignsHelper
  before(:each) do
    assigns[:campaign] = @campaign = stub_model(Campaign,
      :code => 'some code',
      :name => 'some name',
      :main_page_url => '/campaign_page',
      :started_at => Time.now,
      :finished_at => Time.now
    )
  end

  it "renders attributes in <p>" do
    render
    response.should have_tag("div[class=?]", "value code"){ have_text(/'some\ code'/) }
    response.should have_tag("div[class=?]", "value name"){ have_text(/'some\ name'/) }
  end
end
